#ifndef ARENA_H
#define ARENA_H

#include <GL/gl.h>

class sk3DRomModel;
class phArena
{
public:

	phArena();
	~phArena();

	void clear();
	int load( const char *fname);
	void prepare_for_rendering();
	void draw_ice_surface() const {
		if( dsplst_ice_surface) glCallList( dsplst_ice_surface);}

	void draw_boards() const;
	void draw_glass() const;

	void clear_display_list( GLuint &id);

//protected:
	sk3DRomModel *m_mdl;

	GLuint dsplst_ice_surface;
	GLuint dsplst_boards;

	void compile_face_list( const char *p_name, GLuint &id);
	void compile_face_list( const char *p_name[], const int p_count,
		GLuint &id);
};

#endif
