#include <SDL/SDL.h>
#include "main_header.h"

void krn_do_key_down( SDL_Event &event, MainData &mdata)
{
	// XXX: "key" stores the id number of the key pressed.
	//	Type "man SDL_KeyboardEvent" for more information.
	//	Additionaly, "man SDL_keysym" and "man SDLKey".
	const int key = event.key.keysym.sym;
}

void krn_do_key_up( SDL_Event &event, MainData &mdata)
{
	// XXX: "key" stores the id number of the key released.
	//	Type "man SDL_KeyboardEvent" for more information.
	//	Additionaly, "man SDL_keysym" and "man SDLKey".
	const int key = event.key.keysym.sym;
}

void krn_do_mouse_down( SDL_Event &event, MainData &mdata)
{
	// XXX: "event.button" holds "mouse down" information.
	//	Type "man SDL_MouseButtonEvent" for more information.
}

void krn_do_mouse_motion( SDL_Event &event, MainData &mdata)
{
	// XXX: "event.motion" holds "mouse motion" information.
	//	Type "man SDL_MouseMotionEvent" for more information.
}

void krn_do_mouse_up( SDL_Event &event, MainData &mdata)
{
	// XXX: "event.button" holds "mouse up" information.
	//	Type "man SDL_MouseButtonEvent" for more information.
}


int krn_check_events( MainData &mdata)
{
	SDL_Event event;
	while( SDL_PollEvent( &event)) {
		switch( event.type) {
		case SDL_KEYDOWN:
			krn_do_key_down( event, mdata);
			break;

		case SDL_KEYUP:
			krn_do_key_up( event, mdata);
			break;

		case SDL_MOUSEBUTTONDOWN:
			krn_do_mouse_down( event, mdata);
			break;

		case SDL_MOUSEMOTION:
			krn_do_mouse_motion( event, mdata);
			break;

		case SDL_MOUSEBUTTONUP:
			krn_do_mouse_up( event, mdata);
			break;

		case SDL_QUIT: return 1;
		}
	}
	return 0;
}
